# Method: partners.products.list

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.request_body)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.response_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products/list#body.ListProductsResponse.SCHEMA_REPRESENTATION)

Currently, it doesn't support **YouTube** products.

Retrieves the products that can be resold by the partner. It should be authenticated with a service account.

### HTTP request

`GET https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/products`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, the partner that can resell. Format: partners/{partner} |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. Specifies the filters for the product results. The syntax is defined in <https://google.aip.dev/160> with the following caveats: 1. Only the following features are supported: - Logical operator `AND` - Comparison operator `=` (no wildcards `*`) - Traversal operator `.` - Has operator `:` (no wildcards `*`) 2. Only the following fields are supported: - `regionCodes` - `youtubePayload.partnerEligibilityId` - `youtubePayload.postalCode` 3. Unless explicitly mentioned above, other features are not supported. Example: `regionCodes:US AND youtubePayload.postalCode=94043 AND youtubePayload.partnerEligibilityId=eligibility-id` |
| `pageSize` | `integer` Optional. The maximum number of products to return. The service may return fewer than this value. If unspecified, at most 50 products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `products.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `products.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response that contains the products.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "products": [ { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products#Product`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `products[]` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.products#Product`)`` The products for the specified partner. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is empty, there are no subsequent pages. |